#!/bin/sh
version=20091012
user=`echo $HOME | sed -e 's/\/home\///'`

echo "L2Ork Sudo Patch $version says hi. Let's get the party started..."
if [ $(id -u) != "0" ]; then
    echo "ERROR! This script needs to be run as superuser!\nPlease do:\n\nsu -p l2ork\n<enter password>\nsudo ./runme_sudo.sh\n<enter password>\n\nPress any key to exit."
	read input
	exit 1
fi

echo "\n\nUpdating system files and settings..."
cp -f disis_wiimote.pd_linux /usr/local/lib/pd/extra/
cp -f disis_wiimote-help.pd /usr/local/lib/pd/doc/

echo "\n\nChecking for software updates..."
apt-get -y update
apt-get -y upgrade

echo "\n\nCleaning up..."
rm -rf $HOME/Desktop/*$version*

echo "\n\nDone. Please logout (and reboot, if such is required by the software updates) for changes to take place. Goodbye!"
exit 0
